Rated 5 out of 5 stars

It works fine in FF3!!
James is right, but you don't need any special software to change de XPI.
Just open the XPI like a ZIP file and change the "install.rdf" file inside to support version 3.*. If you save right and take it to firefox 3, it will work fine!